function [ x ] = gaussNewtonVerfahren( x0, Fres, FresJacobi, ti, yi, epsilon )
%nichtlineares Ausgleichsproblem soll mit Hilfe des GaussNewtonVerfahrens
%gel�st werden


n = length(ti);

%normFres = norm(diff(Fres(x0, ti, yi) * Fres(x0, ti, yi)));
%x = Fres(x0, ti, yi);
xi = x0;
x = xi;
fxi = Fres(xi, ti, yi);
J = FresJacobi(xi, ti, yi);
    
while norm( J' * fxi )  > epsilon
    s = SolveLinAusgleichQR( J, -fxi );
    xi = xi + s;
    fxi = Fres(xi, ti, yi);
    J = FresJacobi(xi, ti, yi);
    x = [x; xi];
end


end

